Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class ReplaceValuesImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.ReplaceValuesImpl

All Implemented Interfaces:
  ReplaceValues

    public class ReplaceValuesImpl

extends java.lang.Object
implements ReplaceValues

This class is used to modify the value of an attribute's value

Version:
  $Revision: 1.6 $
Author:

Constructor Summary
`` | `ReplaceValuesImpl()`
`protected` | `ReplaceValuesImpl(LDAPClientApplicationImpl app)` Creates a new instance of ReplaceValues

Method Summary
`EntryOptions` | `getEntryOptions()` Method to retrieve the options set for the entry
`STCEntry` | `getSTCEntry()` Method to retrieve the entry of the attribute value to be modified
`boolean` | `performReplaceValues()` Method that performs the modification of attribute value for the specified entry
`void` | `reset()` Method to reset the values

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReplaceValuesImpl

    public ReplaceValuesImpl()

### ReplaceValuesImpl

    protected ReplaceValuesImpl(LDAPClientApplicationImpl app)

  Creates a new instance of ReplaceValues

  Parameters:
    `app` - The LDAP client application associated with this ReplaceValues instance.

Method Detail

### reset

    public void reset()

  Description copied from interface: `ReplaceValues`
  Method to reset the values

  Specified by:
    `reset` in interface `ReplaceValues`

### getSTCEntry

    public STCEntry getSTCEntry()
                         throws LDAPApplicationException

  Method to retrieve the entry of the attribute value to be modified

  Specified by:
    `getSTCEntry` in interface `ReplaceValues`
  Returns:
    the STCEntry object associated with this instance
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getEntryOptions

    public EntryOptions getEntryOptions()
                                 throws LDAPApplicationException

  Method to retrieve the options set for the entry

  Specified by:
    `getEntryOptions` in interface `ReplaceValues`
  Returns:
    the EntryOptions object associated with this instance
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### performReplaceValues

    public boolean performReplaceValues()
                                 throws LDAPApplicationException

  Method that performs the modification of attribute value for the specified entry

  Specified by:
    `performReplaceValues` in interface `ReplaceValues`
  Returns:
    true if the attribute value was modified successfully
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD